Register Device

POST
/api/v1/sdk/push-devices/register

Header Parameters

x-distinct-id*string
x-publishable-key*string
x-client-bundle-id*string
x-client-locale?string|null
x-client-version?string|null
x-is-backgrounded*"false"

Value in

  • "false"
x-is-debug-build*string

Value in

  • "true"
  • "false"
x-nonce?string|null
x-observer-mode*string

Value in

  • "true"
  • "false"
x-platform*string
x-platform-brand?string|null
x-platform-device?string|null
x-platform-flavor*string

Value in

  • "native"
  • "browser"
x-platform-flavor-version?string|null
x-platform-version?string|null
x-preferred-locales?string|null
x-sdk*string

Value in

  • "react-native"
  • "web"
x-sdk-version*string
x-storefront?string|null
x-environment?|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

platform*string

Value in

  • "ios"
  • "android"
provider*string

Value in

  • "fcm"
  • "apns"
platformToken*string
Length1 <= length
bundleId?string|null
environment?|null
previousPushDeviceTokenId?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/sdk/push-devices/register" \  -H "x-distinct-id: string" \  -H "x-publishable-key: string" \  -H "x-client-bundle-id: string" \  -H "x-is-backgrounded: false" \  -H "x-is-debug-build: true" \  -H "x-observer-mode: true" \  -H "x-platform: string" \  -H "x-platform-flavor: native" \  -H "x-sdk: react-native" \  -H "x-sdk-version: string" \  -H "Content-Type: application/json" \  -d '{    "platform": "ios",    "provider": "fcm",    "platformToken": "string"  }'
{  "pushDeviceTokenId": "string"}
{  "_tag": "Api/PushDeviceValidationError",  "message": "string"}
{  "_tag": "Api/NotAuthenticatedError",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/PushDeviceNotFoundError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}